Summary: Programs for backing up and restoring filesystems.
Name: dump
Version: 0.4b37
Release: 1tr
License: BSD
Group: Trustix Official
Source: http://unc.dl.sourceforge.net/sourceforge/dump/dump-%{version}.tar.gz
Requires: rmt
BuildRequires: e2fsprogs >= 1.15, e2fsprogs-devel >= 1.15
BuildRequires: libtermcap-devel, readline-devel
BuildRoot: /var/tmp/%{name}-root

%description
The dump package contains both dump and restore.  Dump examines files in
a filesystem, determines which ones need to be backed up, and copies
those files to a specified disk, tape or other storage medium.  The
restore command performs the inverse function of dump; it can restore a
full backup of a filesystem.  Subsequent incremental backups can then be
layered on top of the full backup.  Single files and directory subtrees
may also be restored from full or partial backups.

Install dump if you need a system for both backing up filesystems and
restoring filesystems after backups.

%package -n rmt
Summary: Provides certain programs with access to remote tape devices.
Group: Trustix Official

%description -n rmt
The rmt utility provides remote access to tape devices for programs
like dump (a filesystem backup program), restore (a program for
restoring files from a backup) and tar (an archiving program).

%prep
%setup -q


%build
%configure --with-binmode=0755 \
      --with-manowner=root \
      --with-mangrp=root \
      --with-manmode=0644 \
      --enable-rmt


make OPT="$RPM_OPT_FLAGS -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wno-char-subscripts"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8

make install SBINDIR=$RPM_BUILD_ROOT/sbin MANDIR=${RPM_BUILD_ROOT}%{_mandir}/man8

{ cd $RPM_BUILD_ROOT
  strip ./sbin/* || :
  ln -sf dump ./sbin/rdump
  ln -sf restore ./sbin/rrestore
  chmod ug-s ./sbin/rmt
  mkdir -p ./etc
  > ./etc/dumpdates
  ln -sf ../sbin/rmt ./etc/rmt
}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYRIGHT KNOWNBUGS README THANKS TODO INSTALL dump.lsm
%attr(0664,root,disk)	%config(noreplace) /etc/dumpdates
%attr(0755,root,tty)	/sbin/dump
/sbin/rdump
%attr(0755,root,tty)	/sbin/restore
/sbin/rrestore
%{_mandir}/man8/dump.8*
%{_mandir}/man8/rdump.8*
%{_mandir}/man8/restore.8*
%{_mandir}/man8/rrestore.8*

%files -n rmt
%defattr(-,root,root)
%attr(0755,root,root)	/sbin/rmt
/etc/rmt
%{_mandir}/man8/rmt.8*

%changelog
* Sun Sep 19 2004 Erlend Midttun <erlendbm at trustix dot org> 0.4b37-1tr
- New upstream.

* Wed Dec  3 2003 Erlend Midttun <erlendbm at trustix dot org> 0.4b34-3tr
- Big rebuild

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 0.4b34-2tr
- Big rebuild

* Fri May 16 2003 Tore Olsen <toreo at trustix dot com> 0.4b34-1to
- New upstream version

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 0.4b31-1em
- Rebuilt against glibc 2.3.2.

* Tue Aug 13 2002 Christian H. Toldnes <christht at trustix dot com> 0.4b31-1ct
- New upstream version
- .spec cleanup

* Wed Jul 24 2002 Daniel Meyer <eagle at trustix dot org> 0.4b22-2dm
- rebuild for Trustix Secure Linux 2.0

* Fri Jun  1 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version

* Mon Mar  5 2001 Alexander Reelsen <ar at trustix dot com>
- Picked up 0.4b21
- Bigfile patch is now upstream

* Fri Nov  3 2000 Erlend Midttun <erlendbm at trustix dot com>
- Removed (sg)uid bits on dump.
- Added RH's bigfile patch.

* Fri Sep 15 2000 Oystein Viggen <oysteivi at trustix dot com>
- 4b19 - latest and greatest

* Tue Jan 25 2000 Tore Olsen <toreo at trustix dot com>
- moved /usr/man to /usr/share/man for FHS compliance

* Fri Sep 24 1999 Jeff Johnson <jbj@redhat.com>
- bump the dump version release to match e2fs hack.

* Fri Sep 10 1999 Jeff Johnson <jbj@redhat.com>
- recompile with e2fsprogs = 1.15 (#4962).

* Sat Jul 31 1999 Jeff Johnson <jbj@redhat.com>
- workaround egcs bug (#4281) that caused dump problems (#2989).
- use sigjmp_buf, not jmp_buf (#3260).
- invoke /etc/rmt (instead of rmt) like other unices. (#3272).
- use glibc21 err/glob rather than the internal compatibility routines.
- wire $(OPT) throughout Makefile's.
- fix many printf problems, mostly lint clean.
- merge SuSE, Debian and many OpenBSD fixes.

* Thu Mar 25 1999 Jeff Johnson <jbj@redhat.com>
- remove setuid/setgid bits from /sbin/rmt (dump/restore are OK).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.

* Thu Mar 18 1999 Jeff Johnson <jbj@redhat.com>
- Fix dangling symlinks (#1551).

* Wed Mar 17 1999 Michael Maher <mike@redhat.com>
- Top O' the morning, build root's fixed for man pages.  

* Fri Feb 19 1999 Preston Brown <pbrown@redhat.com>
- upgraded to dump 0.4b4, massaged patches.

* Tue Feb 02 1999 Ian A Cameron <I.A.Cameron@open.ac.uk>
- added patch from Derrick J Brashear for traverse.c to stop bread errors

* Wed Jan 20 1999 Jeff Johnson <jbj@redhat.com>
- restore original 6755 root.tty to dump/restore, defattr did tty->root (#684).
- mark /etc/dumpdates as noreplace.

* Tue Jul 14 1998 Jeff Johnson <jbj@redhat.com>
- add build root.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- added a patch for resolving linux/types.h and sys/types.h conflicts

* Wed Dec 31 1997 Erik Troan <ewt@redhat.com>
- added prototype of llseek() so dump would work on large partitions

* Thu Oct 30 1997 Donnie Barnes <djb@redhat.com>
- made all symlinks relative instead of absolute

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved rmt to its own package.

* Tue Feb 11 1997 Michael Fulbright <msf@redhat.com>
- Added endian cleanups for SPARC

* Fri Feb 07 1997 Michael K. Johnson <johnsonm@redhat.com> 
- Made /etc/dumpdates writeable by group disk.
